Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.help
Class HelpSystem

    java.lang.Object
      org.eclipse.help.HelpSystem

public final class HelpSystem
extends Object

This class provides general access to help content contributed to the `"org.eclipse.help.toc"` and `"org.eclipse.help.contexts"` extension points.

This class provides static methods only; it is not intended to be instantiated or subclassed.

Since:
  3.0

Method Summary
`static IContext` | `getContext(String contextId)` Computes and returns context information for the given context id.
`static InputStream` | `getHelpContent(String href)` Returns an open input stream on the contents of the specified help resource.
`static IToc[]` | `getTocs()` Returns the list of all integrated tables of contents available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getContext

    public static IContext getContext(String contextId)

  Computes and returns context information for the given context id.

  Parameters:
    `contextId` - the context id
  Returns:
    the context, or `null` if none

### getTocs

    public static IToc[] getTocs()

  Returns the list of all integrated tables of contents available. Each entry corresponds of a different help "book".

  Returns:
    an array of TOC's

### getHelpContent

    public static InputStream getHelpContent(String href)

  Returns an open input stream on the contents of the specified help resource. The client is responsible for closing the stream when finished.

  Parameters:
    `href` - the URL (as a string) of the help resource

    Valid href are as described in `IHelpResource.getHref`

  Returns:
    an input stream containing the contents of the help resource, or `null` if the help resource could not be found and opened

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.